/*
 * commands.h: header for commands.c
 *
 * Written By Michael Sandrof
 * Copyright(c) 1990 
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 */

#ifndef __COMMANDS_H__
#define __COMMANDS_H__

#include "irc_std.h"

/* flags used by e_away */
#define AWAY_ONE 0
#define AWAY_ALL 1

/* flags used by parse_line */
#define SECURITY_NO_VARIABLE_COMMAND	1
#define SECURITY_NO_NONINTERACTIVE_EXEC 2
#define SECURITY_NO_NONINTERACTIVE_SET	4

extern	char	*sent_nick;
extern	char	*sent_body;
extern	char	*recv_nick;


/* commands and functions in edit.c that are used outside of edit.c */
extern  int	check_wait_command 	(char *);
extern	void 	edit_char 		(u_char);
extern	void	ExecuteTimers		(void);
extern	void	ison_ison 		(char *, char *);
extern	void	oh_my_wait 		(void);
extern	int	parse_command 		(char *, int, char *);
extern	void	parse_line 		(char *, char *, char *, int, int);
extern	void	destroy_call_stack 	(void);
extern	void	panic_dump_call_stack 	(void);

extern	void	load 			(char *, char *, char *);
extern	void	query 			(char *, char *, char *);
extern	void	send_text	 	(char *, char *, char *, int);
extern  void	e_clear 		(char *, char *, char *);
extern	void	e_hostname	 	(char *, char *, char *);

#endif /* _EDIT_H_ */
