/*
 * input.h: header for input.c 
 *
 * Written By Michael Sandrof
 *
 * Copyright(c) 1990 
 *
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 *
 * @(#)$Id: input.h,v 1.4 1994/07/02 02:38:10 mrg Exp $
 */

#ifndef _INPUT_H_
#define _INPUT_H_

#include "irc.h"

/* miscelaneous functions */
extern	void	change_input_prompt 	(int);
extern	void	cursor_to_input 	(void);
extern	char *	get_input 		(void);
extern	char *	get_input_prompt 	(void);
extern	void	init_input 		(void);
extern	void	input_move_cursor 	(int);
extern	char	input_pause 		(char *);
extern	void	set_input 		(char *);
extern	void	set_input_prompt 	(char *);
extern	void	update_input 		(int);

/* keybinding functions */
extern	void 	backward_character 	(char, char *);
extern	void 	backward_history 	(char, char *);
extern	void 	clear_screen 		(char, char *);
extern	void	command_completion 	(char, char *);
extern	void 	forward_character	(char, char *);
extern	void 	forward_history 	(char, char *);
extern	void	highlight_off 		(char, char *);
extern	void	input_add_character 	(char, char *);
extern	void	input_backspace 	(char, char *);
extern	void	input_backward_word 	(char, char *);
extern	void	input_beginning_of_line (char, char *);
extern	void	input_clear_line 	(char, char *);
extern	void	input_clear_to_bol 	(char, char *);
extern	void	input_clear_to_eol 	(char, char *);
extern	void	input_delete_character 	(char, char *);
extern	void	input_delete_next_word 	       (char, char *);
extern	void	input_delete_previous_word     (char, char *);
extern	void	input_delete_to_previous_space (char, char *);
extern	void	input_end_of_line 	       (char, char *);
extern	void	input_forward_word 	       (char, char *);
extern  void	input_transpose_characters     (char, char *);
extern	void	input_yank_cut_buffer 	       (char, char *);
extern	void	insert_bold 		(char, char *);
extern	void	insert_reverse 		(char, char *);
extern	void	insert_underline 	(char, char *);
extern	void 	meta1_char 		(char, char *);
extern	void 	meta2_char 		(char, char *);
extern	void 	meta3_char 		(char, char *);
extern	void 	meta4_char 		(char, char *);
extern	void 	meta5_char 		(char, char *);
extern	void 	meta6_char 		(char, char *);
extern	void 	meta7_char 		(char, char *);
extern	void 	meta8_char 		(char, char *);
extern	void 	meta9_char 		(char, char *);
extern	void 	parse_text 		(char, char *);
extern	void 	quote_char 		(char, char *);
extern	void	refresh_inputline 	(char, char *);
extern	void 	send_line 		(char, char *);
extern	void 	toggle_insert_mode 	(char, char *);
extern	void 	type_text 		(char, char *);

/* used by update_input */
#define NO_UPDATE 0
#define UPDATE_ALL 1
#define UPDATE_FROM_CURSOR 2
#define UPDATE_JUST_CURSOR 3

#endif /* _INPUT_H_ */
