/*
 * names.h: Header for names.c
 *
 * Written By Michael Sandrof
 *
 * Copyright(c) 1990 
 *
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 *
 * @(#)$Id: names.h,v 1.7 1994/07/30 17:06:30 mrg Exp $
 */

#ifndef _NAMES_H_
#define _NAMES_H_

#include "irc.h"
#include "window.h"

/* from names.c - "iklmnpst" */
#define MODE_INVITE	((u_long) 0x0001)
#define MODE_KEY	((u_long) 0x0002)
#define MODE_LIMIT	((u_long) 0x0004)
#define MODE_MODERATED	((u_long) 0x0008)
#define MODE_MSGS	((u_long) 0x0010)
#define MODE_PRIVATE	((u_long) 0x0020)
#define MODE_SECRET	((u_long) 0x0040)
#define MODE_TOPIC	((u_long) 0x0080)

/* This is from window.h. */
#if 0
/* NickList: structure for the list of nicknames of people on a channel */
typedef struct nick_stru
{
        struct  nick_stru       *next;  /* pointer to next nickname entry */
        char    *nick;                  /* nickname of person on channel */
        char    *userhost;              /* Userhost of the person on channel */
        int     chanop;                 /* True if the given nick has chanop */
}       NickList;
#endif

/* ChannelList: structure for the list of channels you are current on */
typedef	struct	channel_stru
{
struct	channel_stru *	next;		/* pointer to next channel entry */
	char *		channel;	/* channel name */
	int		server;		/* server index for this channel */
	u_long		mode;		/* Current mode settings for channel */
	u_long		i_mode;		/* channel mode for cached string */
	char *		s_mode;		/* cached string version of modes */
	int		limit;		/* max users for the channel */
	char *		key;		/* key for this channel */
	char		chop;		/* true if you are chop */
	char		voice;		/* true if you are voiced */
	Window *	window;		/* the window that the channel is "on" */
	NickList *	nicks;		/* pointer to list of nicks on channel */
}	ChannelList;

extern	void		add_channel 		(char *, int);
extern	void		add_to_channel 		(char *, char *, int, int, int);
extern	void		add_userhost_to_channel	(char *, char *, int, char *);
extern	void		change_server_channels 	(int, int);
extern	void		channel_server_delete 	(int);
extern	void		clear_channel_list 	(int);
extern	char *		create_channel_list 	(Window *);
extern	char *		get_channel_key 	(char *, int);
extern	char *		get_channel_mode 	(char *, int);
extern	int		get_channel_oper 	(char *, int);
extern	int		get_channel_voice	(char *, int);
extern	int		im_on_channel 		(char *);
extern	int		is_channel_mode 	(char *, int, int);
extern	int		is_chanop 		(char *, char *);
extern	int		is_on_channel 		(char *, char *);
extern	void		list_channels 		(void);
extern	ChannelList *	lookup_channel 		(char *, int, int);
extern	char *		real_channel 		(void);
extern	void		reconnect_all_channels 	(void);
extern	void		remove_channel 		(char *, int);
extern	void		remove_from_channel 	(char *, char *, int);
extern	void		remove_from_mode_list 	(char *);
extern	void		rename_nick 		(char *, char *, int);
extern	void		set_channel_window 	(Window *, char *);
extern	void		set_waiting_channel 	(int);
extern	void		switch_channels 	(char, char *);
extern	void		update_channel_mode 	(char *, char *);
extern	char *		walk_channels 		(int, char *);
extern	char *		fetch_userhost		(int, char *);
extern	char *		what_channel 		(char *);

#endif /* _NAMES_H_ */
